
lowCutOffValue, highCutOffValue = -0.1, 0.5
diceThreshold = 0.05
meanNormalationForDataCleaning = False

centre3DBegin = [58, 54, 98*0.26/1.06] #position of centre at 0hrs

L1centre =[(58.288243227275608, 52.641249796151754, 22.584928702349014), 
#(57.164720357402075, 52.618055744628926, 18.509128089164687), 
(59.203589241954006, 53.145435632145421, 27.156133440633187), (57.849584470763595, 50.13865386138756, 19.777614846639011), (56.98738785723549, 48.606523513978409, 19.408423435757161), (64.93854759783973, 53.009326651336181, 34.674411738396863), (66.064876465424859, 53.035228089204359, 34.277318600398864), (67.392403548501022, 49.576161649298193, 35.384474176467826), (68.700032100463233, 50.797259337107782, 32.216345145891815), (69.917973196888298, 50.196934072020845, 27.048151718802512), (72.083065845439705, 50.139539391780318, 28.614998653855192), (77.256491117034315, 47.285212714040306, 33.862020293961692), (75.450344677856293, 46.856906992598283, 40.468289444204409), (75.296135713575893, 43.952523708253885, 24.668519759536071), (77.568572165006231, 45.977751508565284, 31.380830043639975), (76.938630117061663, 44.814793038769061, 33.550996457648317), (77.313913108920985, 42.362951323258237, 28.714028487803734), (75.638089741624526, 43.43889931685424, 32.059707605348571), (71.988214640006689, 45.155742038239701, 29.898545213652255), (74.630360433632745, 45.139739656438657, 32.556140662188909)]



#L1 cells within 30 microns of L1centre
meanVolumes =  [168.12418534207291, 182.37677991799757, 168.74537915753118, 174.25183886957763, 182.81296285483884, 172.39533242937304, 168.81162834395718, 187.93021630412986, 185.50665896549827, 176.35072213211711, 178.39781595896869, 174.14380793984338, 157.11121139392213, 168.19399088590148, 169.81138720368557, 165.43489237765206, 162.26599296234136, 161.64355730154901, 153.78233410479962]



########################################

indicesTEndBack = ["L1 central zone", [647, 673, 674, 690, 691, 694, 703, 726, 729, 738, 739, 755, 756, 778, 808, 817, 818, 828, 861, 862, 872, 873, 874, 875, 887, 889, 892, 901, 906, 915, 924, 925, 930, 960, 976, 986, 987, 997, 1005, 1007, 1012, 1013, 1014, 1019, 1035, 1036, 1043, 1051, 1066, 1068, 1078, 1091, 1092, 1093, 1105, 1112, 1118, 1119, 1132, 1133, 1134, 1135, 1144, 1147, 1158, 1159, 1175, 1179, 1180, 1182, 1195, 1196, 1197, 1200, 1207, 1208, 1211, 1212, 1215, 1220, 1228, 1230, 1239, 1240, 1241, 1242, 1246, 1252, 1253, 1254, 1274, 1275, 1282, 1292, 1293, 1295, 1301, 1309, 1310, 1311, 1319, 1321, 1325, 1342, 1343, 1344, 1347, 1348, 1349, 1350, 1354, 1358, 1362, 1363, 1364, 1370, 1371, 1372, 1374, 1377, 1380, 1381, 1395, 1396, 1397, 1400, 1401, 1408, 1409, 1411, 1412, 1413, 1414, 1418, 1419, 1421, 1422, 1425, 1426, 1427, 1431, 1436, 1444, 1445, 1450, 1451, 1452, 1455, 1456, 1457, 1458, 1459, 1460, 1461, 1462, 1466, 1471]]

centreXEnd, centreYEnd = 70.0, 47.0
centre3DEnd = [75, 45, 138*0.26/1.06] 
indicesTEndForward =  ["L1 full lineages after cleaning", [273, 485, 286, 356, 610, 771, 878, 529, 636, 789, 819, 578, 567, 820, 903, 500, 660, 845, 983, 853, 1009, 1008, 1123, 962, 1052, 1212, 1121, 1197, 931, 1037, 1112, 1159, 928, 980, 1129, 985, 1080, 1184, 1214, 1304, 1234, 1279, 1313, 1295, 1073, 1145, 1109, 1189, 622, 842, 677, 851, 950, 1078, 979, 1108, 1126, 1188, 1285, 1161, 1199, 1242, 1350, 1354, 1395, 704, 727, 892, 930, 1036, 907, 1282, 1196, 1253, 1292, 1319, 1358, 1343, 1310, 1348, 1135, 1182, 1230, 1241, 1321, 1200, 1208, 1293, 1301, 1141, 1258, 1249, 1355, 1373, 1371, 1427, 1397, 1436, 1431, 1451, 1445, 1457, 1444, 1450, 1466, 1455, 828, 924, 778, 872, 1012, 1035, 1051, 1118, 1119, 1147, 1372, 1413, 1419, 1377, 1364, 1363, 1396, 1409, 1412, 1422, 1426, 1458, 1456, 875, 874, 986, 1019, 1132, 1133, 1211, 1180, 1179, 1246, 1240, 1274, 1207, 1228, 1239, 1252, 1309, 1347, 1311, 1325, 1105, 1134, 1175, 1220, 1254, 1275, 690, 674, 817, 906, 635, 726, 818, 925, 960, 1066, 1093, 1342, 1370, 1380, 1349, 1362, 1401, 1425, 1408, 1400, 1418, 1421, 1411, 510, 587, 759, 694, 887, 1007, 889, 1014, 739, 729, 862, 738, 808, 901, 976, 987, 1043, 1068, 755, 861, 873, 915, 997, 1005, 1013, 1091, 1144, 1195, 1092, 1158, 1215]]


########################################

#region = "test"
#indicesTEnd =  [1401, 1421, 1444, 1425, 1466, 1409, 1426, 1422, 1413, 1412, 1396]

##########################################

centreXBegin, centreYBegin = 52.7, 83.2  #position of wound in L1 at 0hrs

indicesTBegin =  ["L1 at 0hrs, away from wound", [512, 519, 528, 529, 530, 532, 533, 535, 538, 540, 542, 517, 544, 545, 546, 547, 518, 550, 551, 552, 553, 554, 555, 557, 558, 559, 562, 563, 565, 566, 569, 570, 572, 573, 574, 575, 576, 577, 578, 580, 581, 582, 583, 584, 524, 586, 587, 588, 589, 590, 591, 592, 593, 594, 526, 531, 534, 537, 543, 549, 571, 561, 568, 402, 579, 405, 415, 416, 427, 429, 437, 438, 585, 441, 445, 446, 453, 464, 469, 470, 473, 478, 479, 484, 485, 486, 487, 488, 494, 495, 497, 498, 501, 502, 504, 505, 506, 508, 509]]

#radius = 60, zThr = 10 , celldiff = 2  UNCHECKED IN VIEWER
indicesL1Init = [ "initial central L1", [512, 519, 522, 527, 528, 529, 530, 515, 532, 533, 535, 536, 516, 538, 539, 540, 541, 542, 517, 544, 545, 546, 547, 548, 518, 550, 551, 552, 553, 554, 555, 556, 557, 558, 559, 562, 563, 564, 565, 566, 567, 569, 570, 572, 573, 574, 575, 576, 577, 578, 523, 580, 581, 582, 583, 584, 524, 586, 587, 588, 589, 590, 591, 592, 593, 594, 526, 531, 534, 537, 543, 549, 571, 560, 561, 568, 384, 388, 400, 402, 579, 405, 406, 413, 415, 416, 419, 421, 422, 424, 425, 426, 427, 429, 434, 436, 437, 438, 585, 441, 445, 446, 447, 448, 452, 453, 459, 460, 462, 463, 464, 465, 466, 468, 469, 470, 472, 473, 476, 477, 478, 479, 481, 484, 485, 486, 487, 488, 489, 490, 492, 493, 494, 495, 496, 497, 498, 499, 501, 502, 503, 504, 505, 506, 507, 508, 509, 511]];

###########################################

#region = " test "
#indicesTBegin = [485, 486, 487, 488, 494, 495, 497, 498, 501, 502, 504, 505, 506, 508, 509]
